This is an automated email from the ASF dual-hosted git repository.
martin_s pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/archiva.git
The following commit(s) were added to refs/heads/master by this push:
new 5c16725 Adding fix for older docker version
5c16725 is described below
commit 5c1672522ba82e84a82977e36b6d39200b19554a
Author: Martin Stockhammer <[email protected]>
AuthorDate: Sat Apr 7 11:57:06 2018 +0200
Adding fix for older docker version
---
src/ci/scripts/container_webtest.sh | 14 +++++++++++---
1 file changed, 11 insertions(+), 3 deletions(-)
diff --git a/src/ci/scripts/container_webtest.sh
b/src/ci/scripts/container_webtest.sh
index 65d4c15..e5020c4 100755
--- a/src/ci/scripts/container_webtest.sh
+++ b/src/ci/scripts/container_webtest.sh
@@ -98,6 +98,16 @@ cleanup() {
trap cleanup EXIT
+function docker_login() {
+ if [ ! -z "${DOCKER_HUB_PW}" ]; then
+ echo "${DOCKER_HUB_PW}" | docker login --username "${DOCKER_HUB_ID}"
--password-stdin 2>/dev/null
+ if [ $? -ne 0 ]; then
+ echo "Seems to be older docker version."
+ docker login --username "${DOCKER_HUB_ID}" --password "${DOCKER_HUB_PW}"
+ fi
+ fi
+}
+
function build_image() {
echo "Building image ${TAG}"
DOCKER_DIR="${HERE}/../docker/${DOCKER_CFG}"
@@ -116,9 +126,7 @@ function build_image() {
function get_image() {
IMG_ID=$(docker images -q "${DOCKER_HUB_TAG}")
if [ -z "${IMG_ID}" ]; then
- if [ ! -z "${DOCKER_HUB_PW}" ]; then
- echo "${DOCKER_HUB_PW}" | docker login --username "${DOCKER_HUB_ID}"
--password-stdin
- fi
+ docker_login
docker pull "${DOCKER_HUB_TAG}"
docker logout
IMG_ID=$(docker images -q "${DOCKER_HUB_TAG}")
--
To stop receiving notification emails like this one, please contact
[email protected].